﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace ParentChildDropDownInGrid
{
    public class NotesVM
    {
        public NotesVM()
        {
            NotesList = new ObservableCollection<Note>();
            NoteTypeList = new ObservableCollection<NoteType>();

            NoteTypeList = NoteTypes.List;
            CreateNotes();

            CurrentNote = NotesList.Last();
        }

        public ObservableCollection<NoteType> NoteTypeList { get; set; }

        public ObservableCollection<Note> NotesList { get; set; }

        public Note CurrentNote { get; set; }

        public void CreateNotes()
        {
            Note note;

            note = new Note(1, "Type=1 SubType=2", 1, 2);
            NotesList.Add(note);

            note = new Note(2, "Type=2 SubType=2", 2, 2);
            NotesList.Add(note);

            note = new Note(3, "Type=1 SubType=1", 1, 1);
            NotesList.Add(note);

            note = new Note(4, "Type=2 SubType=1", 2, 1);
            NotesList.Add(note);

            note = new Note(5, "Type=2 SubType=3", 2, 3);
            NotesList.Add(note);
        }
    }
}
